opt subtitle "HI-TECH Software Omniscient Code Generator (PRO mode) build 10920"

opt pagewidth 120

	opt pm

	processor	16F628A
clrc	macro
	bcf	3,0
	endm
clrz	macro
	bcf	3,2
	endm
setc	macro
	bsf	3,0
	endm
setz	macro
	bsf	3,2
	endm
skipc	macro
	btfss	3,0
	endm
skipz	macro
	btfss	3,2
	endm
skipnc	macro
	btfsc	3,0
	endm
skipnz	macro
	btfsc	3,2
	endm
indf	equ	0
indf0	equ	0
pc	equ	2
pcl	equ	2
status	equ	3
fsr	equ	4
fsr0	equ	4
c	equ	1
z	equ	0
pclath	equ	10
	FNCALL	_main,_initUART
	FNCALL	_main,_initTransmissionPacket
	FNCALL	_main,_executeStartupTest
	FNCALL	_main,_sendRequest
	FNCALL	_main,_pollErrorFlags
	FNCALL	_pollErrorFlags,_flashError
	FNROOT	_main
	FNCALL	_isr,_processResponse
	FNCALL	_processResponse,_checkSum
	FNCALL	_processResponse,_is_bit_set
	FNCALL	intlevel1,_isr
	global	intlevel1
	FNROOT	intlevel1
	global	_packetReceived
	global	_packetTransmit
	global	_receiveCounter
	global	_frameReceived
	global	_framingErrorOccured
	global	_invalidCheckSumOccured
	global	_invalidFrameLengthOccured
	global	_invalidResponseOccured
	global	_PORTB
psect	text294,local,class=CODE,delta=2
global __ptext294
__ptext294:
_PORTB	set	6
	global	_RCREG
_RCREG	set	26
	global	_TXREG
_TXREG	set	25
	global	_CREN
_CREN	set	196
	global	_FERR
_FERR	set	194
	global	_GIE
_GIE	set	95
	global	_OERR
_OERR	set	193
	global	_PEIE
_PEIE	set	94
	global	_RB0
_RB0	set	48
	global	_RB5
_RB5	set	53
	global	_RB6
_RB6	set	54
	global	_RCIF
_RCIF	set	101
	global	_RX9
_RX9	set	198
	global	_SPEN
_SPEN	set	199
	global	_TXIF
_TXIF	set	100
	global	_SPBRG
_SPBRG	set	153
	global	_TRISB
_TRISB	set	134
	global	_BRGH
_BRGH	set	1218
	global	_RCIE
_RCIE	set	1125
	global	_SYNC
_SYNC	set	1220
	global	_TRISB1
_TRISB1	set	1073
	global	_TRISB2
_TRISB2	set	1074
	global	_TX9
_TX9	set	1222
	global	_TXEN
_TXEN	set	1221
	file	"BK Reader.as"
	line	#
psect cinit,class=CODE,delta=2
global start_initialization
start_initialization:

psect	bitbssCOMMON,class=COMMON,bit,space=1
global __pbitbssCOMMON
__pbitbssCOMMON:
_frameReceived:
       ds      1

_framingErrorOccured:
       ds      1

_invalidCheckSumOccured:
       ds      1

_invalidFrameLengthOccured:
       ds      1

_invalidResponseOccured:
       ds      1

psect	bssCOMMON,class=COMMON,space=1
global __pbssCOMMON
__pbssCOMMON:
_receiveCounter:
       ds      1

psect	bssBANK0,class=BANK0,space=1
global __pbssBANK0
__pbssBANK0:
_packetReceived:
       ds      26

_packetTransmit:
       ds      26

psect clrtext,class=CODE,delta=2
global clear_ram
;	Called with FSR containing the base address, and
;	W with the last address+1
clear_ram:
	clrwdt			;clear the watchdog before getting into this loop
clrloop:
	clrf	indf		;clear RAM location pointed to by FSR
	incf	fsr,f		;increment pointer
	xorwf	fsr,w		;XOR with final address
	btfsc	status,2	;have we reached the end yet?
	retlw	0		;all done for this memory range, return
	xorwf	fsr,w		;XOR again to restore value
	goto	clrloop		;do the next byte

; Clear objects allocated to BITCOMMON
psect cinit,class=CODE,delta=2
	clrf	((__pbitbssCOMMON/8)+0)&07Fh
; Clear objects allocated to COMMON
psect cinit,class=CODE,delta=2
	clrf	((__pbssCOMMON)+0)&07Fh
; Clear objects allocated to BANK0
psect cinit,class=CODE,delta=2
	bcf	status, 7	;select IRP bank0
	movlw	low(__pbssBANK0)
	movwf	fsr
	movlw	low((__pbssBANK0)+034h)
	fcall	clear_ram
psect cinit,class=CODE,delta=2
global end_of_initialization

;End of C runtime variable initialization code

end_of_initialization:
clrf status
ljmp _main	;jump to C main() function
psect	cstackCOMMON,class=COMMON,space=1
global __pcstackCOMMON
__pcstackCOMMON:
	global	??_checkSum
??_checkSum:	; 0 bytes @ 0x0
	global	?_is_bit_set
?_is_bit_set:	; 1 bit 
	global	?_processResponse
?_processResponse:	; 0 bytes @ 0x0
	global	?_isr
?_isr:	; 0 bytes @ 0x0
	global	?_sendRequest
?_sendRequest:	; 0 bytes @ 0x0
	global	?_initUART
?_initUART:	; 0 bytes @ 0x0
	global	?_executeStartupTest
?_executeStartupTest:	; 0 bytes @ 0x0
	global	?_flashError
?_flashError:	; 0 bytes @ 0x0
	global	?_pollErrorFlags
?_pollErrorFlags:	; 0 bytes @ 0x0
	global	?_initTransmissionPacket
?_initTransmissionPacket:	; 0 bytes @ 0x0
	global	?_main
?_main:	; 0 bytes @ 0x0
	global	?_checkSum
?_checkSum:	; 1 bytes @ 0x0
	global	is_bit_set@bitindex
is_bit_set@bitindex:	; 1 bytes @ 0x0
	global	checkSum@checkSum
checkSum@checkSum:	; 2 bytes @ 0x0
	ds	1
	global	??_is_bit_set
??_is_bit_set:	; 0 bytes @ 0x1
	ds	1
	global	checkSum@i
checkSum@i:	; 1 bytes @ 0x2
	global	is_bit_set@value
is_bit_set@value:	; 1 bytes @ 0x2
	ds	1
	global	??_processResponse
??_processResponse:	; 0 bytes @ 0x3
	global	??_isr
??_isr:	; 0 bytes @ 0x3
	ds	3
	global	??_sendRequest
??_sendRequest:	; 0 bytes @ 0x6
	global	??_initUART
??_initUART:	; 0 bytes @ 0x6
	global	??_pollErrorFlags
??_pollErrorFlags:	; 0 bytes @ 0x6
	global	??_initTransmissionPacket
??_initTransmissionPacket:	; 0 bytes @ 0x6
psect	cstackBANK0,class=BANK0,space=1
global __pcstackBANK0
__pcstackBANK0:
	global	??_executeStartupTest
??_executeStartupTest:	; 0 bytes @ 0x0
	global	??_flashError
??_flashError:	; 0 bytes @ 0x0
	global	sendRequest@i
sendRequest@i:	; 1 bytes @ 0x0
	global	initTransmissionPacket@i
initTransmissionPacket@i:	; 1 bytes @ 0x0
	ds	3
	global	executeStartupTest@i
executeStartupTest@i:	; 1 bytes @ 0x3
	global	flashError@numberOfFlashes
flashError@numberOfFlashes:	; 1 bytes @ 0x3
	ds	1
	global	flashError@i
flashError@i:	; 1 bytes @ 0x4
	ds	1
	global	??_main
??_main:	; 0 bytes @ 0x5
	ds	3
;;Data sizes: Strings 0, constant 0, data 0, bss 53, persistent 0 stack 0
;;Auto spaces:   Size  Autos    Used
;; COMMON          14      6       8
;; BANK0           80      8      60
;; BANK1           80      0       0
;; BANK2           48      0       0

;;
;; Pointer list with targets:



;;
;; Critical Paths under _main in COMMON
;;
;;   None.
;;
;; Critical Paths under _isr in COMMON
;;
;;   _processResponse->_checkSum
;;   _processResponse->_is_bit_set
;;
;; Critical Paths under _main in BANK0
;;
;;   _pollErrorFlags->_flashError
;;
;; Critical Paths under _isr in BANK0
;;
;;   None.
;;
;; Critical Paths under _main in BANK1
;;
;;   None.
;;
;; Critical Paths under _isr in BANK1
;;
;;   None.
;;
;; Critical Paths under _main in BANK2
;;
;;   None.
;;
;; Critical Paths under _isr in BANK2
;;
;;   None.

;;
;;Main: autosize = 0, tempsize = 3, incstack = 0, save=0
;;

;;
;;Call Graph Tables:
;;
;; ---------------------------------------------------------------------------------
;; (Depth) Function   	        Calls       Base Space   Used Autos Params    Refs
;; ---------------------------------------------------------------------------------
;; (0) _main                                                 3     3      0     272
;;                                              5 BANK0      3     3      0
;;                           _initUART
;;             _initTransmissionPacket
;;                 _executeStartupTest
;;                        _sendRequest
;;                     _pollErrorFlags
;; ---------------------------------------------------------------------------------
;; (1) _pollErrorFlags                                       0     0      0      68
;;                         _flashError
;; ---------------------------------------------------------------------------------
;; (2) _flashError                                           5     5      0      68
;;                                              0 BANK0      5     5      0
;; ---------------------------------------------------------------------------------
;; (1) _executeStartupTest                                   4     4      0      68
;;                                              0 BANK0      4     4      0
;; ---------------------------------------------------------------------------------
;; (1) _initTransmissionPacket                               1     1      0      68
;;                                              0 BANK0      1     1      0
;; ---------------------------------------------------------------------------------
;; (1) _initUART                                             0     0      0       0
;; ---------------------------------------------------------------------------------
;; (1) _sendRequest                                          1     1      0      68
;;                                              0 BANK0      1     1      0
;; ---------------------------------------------------------------------------------
;; Estimated maximum stack depth 2
;; ---------------------------------------------------------------------------------
;; (Depth) Function   	        Calls       Base Space   Used Autos Params    Refs
;; ---------------------------------------------------------------------------------
;; (3) _isr                                                  3     3      0      90
;;                                              3 COMMON     3     3      0
;;                    _processResponse
;; ---------------------------------------------------------------------------------
;; (4) _processResponse                                      0     0      0      90
;;                           _checkSum
;;                         _is_bit_set
;; ---------------------------------------------------------------------------------
;; (5) _is_bit_set                                           3     2      1      30
;;                                              0 COMMON     3     2      1
;; ---------------------------------------------------------------------------------
;; (5) _checkSum                                             3     3      0      60
;;                                              0 COMMON     3     3      0
;; ---------------------------------------------------------------------------------
;; Estimated maximum stack depth 5
;; ---------------------------------------------------------------------------------

;; Call Graph Graphs:

;; _main (ROOT)
;;   _initUART
;;   _initTransmissionPacket
;;   _executeStartupTest
;;   _sendRequest
;;   _pollErrorFlags
;;     _flashError
;;
;; _isr (ROOT)
;;   _processResponse
;;     _checkSum
;;     _is_bit_set
;;

;; Address spaces:

;;Name               Size   Autos  Total    Cost      Usage
;;BITCOMMON            E      0       1       0        7.1%
;;EEDATA              80      0       0       0        0.0%
;;NULL                 0      0       0       0        0.0%
;;CODE                 0      0       0       0        0.0%
;;COMMON               E      6       8       1       57.1%
;;BITSFR0              0      0       0       1        0.0%
;;SFR0                 0      0       0       1        0.0%
;;BITSFR1              0      0       0       2        0.0%
;;SFR1                 0      0       0       2        0.0%
;;STACK                0      0       8       2        0.0%
;;BANK0               50      8      3C       3       75.0%
;;BITSFR3              0      0       0       4        0.0%
;;SFR3                 0      0       0       4        0.0%
;;ABS                  0      0      44       4        0.0%
;;BITBANK0            50      0       0       5        0.0%
;;BITSFR2              0      0       0       5        0.0%
;;SFR2                 0      0       0       5        0.0%
;;BITBANK1            50      0       0       6        0.0%
;;BANK1               50      0       0       7        0.0%
;;BITBANK2            30      0       0       8        0.0%
;;BANK2               30      0       0       9        0.0%
;;DATA                 0      0      4C      10        0.0%

	global	_main
psect	maintext,global,class=CODE,delta=2
global __pmaintext
__pmaintext:

;; *************** function _main *****************
;; Defined at:
;;		line 229 in file "C:\Users\bart\Desktop\BK Reader\vb.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, fsr0l, fsr0h, status,2, status,0, pclath, cstack
;; Tracked objects:
;;		On entry : 17F/0
;;		On exit  : 0/0
;;		Unchanged: 0/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       3       0       0
;;      Totals:         0       3       0       0
;;Total ram usage:        3 bytes
;; Hardware stack levels required when called:    5
;; This function calls:
;;		_initUART
;;		_initTransmissionPacket
;;		_executeStartupTest
;;		_sendRequest
;;		_pollErrorFlags
;; This function is called by:
;;		Startup code after reset
;; This function uses a non-reentrant model
;;
psect	maintext
	file	"C:\Users\bart\Desktop\BK Reader\vb.c"
	line	229
	global	__size_of_main
	__size_of_main	equ	__end_of_main-_main
	
_main:	
	opt	stack 3
; Regs used in _main: [wreg-fsr0h+status,2+status,0+pclath+cstack]
	line	232
	
l1604:	
;vb.c: 232: TRISB = 0x00;
	bsf	status, 5	;RP0=1, select bank1
	clrf	(134)^080h	;volatile
	line	233
;vb.c: 233: PORTB = 0x00;
	bcf	status, 5	;RP0=0, select bank0
	clrf	(6)	;volatile
	line	236
	
l1606:	
;vb.c: 236: initUART();
	fcall	_initUART
	line	239
	
l1608:	
;vb.c: 239: initTransmissionPacket();
	fcall	_initTransmissionPacket
	line	242
	
l1610:	
;vb.c: 242: executeStartupTest();
	fcall	_executeStartupTest
	line	249
	
l1612:	
;vb.c: 249: FERR=0;
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	bcf	(194/8),(194)&7
	line	250
	
l1614:	
;vb.c: 250: RB0=0;
	bcf	(48/8),(48)&7
	line	251
	
l1616:	
;vb.c: 251: RB5=0;
	bcf	(53/8),(53)&7
	line	254
	
l1618:	
;vb.c: 254: framingErrorOccured=0;
	bcf	(_framingErrorOccured/8),(_framingErrorOccured)&7
	line	255
	
l1620:	
;vb.c: 255: invalidFrameLengthOccured=0;
	bcf	(_invalidFrameLengthOccured/8),(_invalidFrameLengthOccured)&7
	line	256
	
l1622:	
;vb.c: 256: invalidCheckSumOccured=0;
	bcf	(_invalidCheckSumOccured/8),(_invalidCheckSumOccured)&7
	line	257
	
l1624:	
;vb.c: 257: invalidResponseOccured=0;
	bcf	(_invalidResponseOccured/8),(_invalidResponseOccured)&7
	line	258
	
l1626:	
;vb.c: 258: frameReceived=0;
	bcf	(_frameReceived/8),(_frameReceived)&7
	line	261
	
l1628:	
;vb.c: 261: sendRequest();
	fcall	_sendRequest
	line	265
	
l1630:	
;vb.c: 265: _delay((unsigned long)((100)*(19668000/4000.0)));
	opt asmopt_off
movlw  3
movwf	((??_main+0)+0+2),f
movlw	127
movwf	((??_main+0)+0+1),f
	movlw	143
movwf	((??_main+0)+0),f
u397:
	decfsz	((??_main+0)+0),f
	goto	u397
	decfsz	((??_main+0)+0+1),f
	goto	u397
	decfsz	((??_main+0)+0+2),f
	goto	u397
	clrwdt
opt asmopt_on

	line	268
	
l1632:	
;vb.c: 268: pollErrorFlags();
	fcall	_pollErrorFlags
	goto	l1612
	global	start
	ljmp	start
	opt stack 0
psect	maintext
	line	270
GLOBAL	__end_of_main
	__end_of_main:
;; =============== function _main ends ============

	signat	_main,88
	global	_pollErrorFlags
psect	text295,local,class=CODE,delta=2
global __ptext295
__ptext295:

;; *************** function _pollErrorFlags *****************
;; Defined at:
;;		line 197 in file "C:\Users\bart\Desktop\BK Reader\vb.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, status,2, status,0, pclath, cstack
;; Tracked objects:
;;		On entry : 0/0
;;		On exit  : 0/0
;;		Unchanged: 0/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       0       0       0
;;Total ram usage:        0 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    4
;; This function calls:
;;		_flashError
;; This function is called by:
;;		_main
;; This function uses a non-reentrant model
;;
psect	text295
	file	"C:\Users\bart\Desktop\BK Reader\vb.c"
	line	197
	global	__size_of_pollErrorFlags
	__size_of_pollErrorFlags	equ	__end_of_pollErrorFlags-_pollErrorFlags
	
_pollErrorFlags:	
	opt	stack 3
; Regs used in _pollErrorFlags: [wreg+status,2+status,0+pclath+cstack]
	line	199
	
l1584:	
;vb.c: 199: if (frameReceived==0)
	btfsc	(_frameReceived/8),(_frameReceived)&7
	goto	u341
	goto	u340
u341:
	goto	l1588
u340:
	line	200
	
l1586:	
;vb.c: 200: flashError(2);
	movlw	(02h)
	fcall	_flashError
	line	202
	
l1588:	
;vb.c: 202: if (framingErrorOccured==1)
	btfss	(_framingErrorOccured/8),(_framingErrorOccured)&7
	goto	u351
	goto	u350
u351:
	goto	l1592
u350:
	line	203
	
l1590:	
;vb.c: 203: flashError(4);
	movlw	(04h)
	fcall	_flashError
	line	205
	
l1592:	
;vb.c: 205: if (invalidFrameLengthOccured==1)
	btfss	(_invalidFrameLengthOccured/8),(_invalidFrameLengthOccured)&7
	goto	u361
	goto	u360
u361:
	goto	l1596
u360:
	line	206
	
l1594:	
;vb.c: 206: flashError(6);
	movlw	(06h)
	fcall	_flashError
	line	208
	
l1596:	
;vb.c: 208: if (invalidCheckSumOccured==1)
	btfss	(_invalidCheckSumOccured/8),(_invalidCheckSumOccured)&7
	goto	u371
	goto	u370
u371:
	goto	l1600
u370:
	line	209
	
l1598:	
;vb.c: 209: flashError(8);
	movlw	(08h)
	fcall	_flashError
	line	211
	
l1600:	
;vb.c: 211: if (invalidResponseOccured==1)
	btfss	(_invalidResponseOccured/8),(_invalidResponseOccured)&7
	goto	u381
	goto	u380
u381:
	goto	l450
u380:
	line	212
	
l1602:	
;vb.c: 212: flashError(10);
	movlw	(0Ah)
	fcall	_flashError
	line	213
	
l450:	
	return
	opt stack 0
GLOBAL	__end_of_pollErrorFlags
	__end_of_pollErrorFlags:
;; =============== function _pollErrorFlags ends ============

	signat	_pollErrorFlags,88
	global	_flashError
psect	text296,local,class=CODE,delta=2
global __ptext296
__ptext296:

;; *************** function _flashError *****************
;; Defined at:
;;		line 182 in file "C:\Users\bart\Desktop\BK Reader\vb.c"
;; Parameters:    Size  Location     Type
;;  numberOfFlas    1    wreg     unsigned char 
;; Auto vars:     Size  Location     Type
;;  numberOfFlas    1    3[BANK0 ] unsigned char 
;;  i               1    4[BANK0 ] unsigned char 
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, status,2, status,0
;; Tracked objects:
;;		On entry : 0/0
;;		On exit  : 0/0
;;		Unchanged: 0/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       2       0       0
;;      Temps:          0       3       0       0
;;      Totals:         0       5       0       0
;;Total ram usage:        5 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    3
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_pollErrorFlags
;; This function uses a non-reentrant model
;;
psect	text296
	file	"C:\Users\bart\Desktop\BK Reader\vb.c"
	line	182
	global	__size_of_flashError
	__size_of_flashError	equ	__end_of_flashError-_flashError
	
_flashError:	
	opt	stack 3
; Regs used in _flashError: [wreg+status,2+status,0]
;flashError@numberOfFlashes stored from wreg
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	movwf	(flashError@numberOfFlashes)
	line	183
	
l1572:	
;vb.c: 183: RB5=0;
	bcf	(53/8),(53)&7
	line	185
	
l1574:	
;vb.c: 185: for (char i=0;i<numberOfFlashes;i++) {
	clrf	(flashError@i)
	goto	l1580
	
l440:	
	line	186
;vb.c: 186: RB5=!RB5;
	movlw	1<<((53)&7)
	xorwf	((53)/8),f
	line	187
	
l1576:	
;vb.c: 187: _delay((unsigned long)((500)*(19668000/4000.0)));
	opt asmopt_off
movlw  13
movwf	((??_flashError+0)+0+2),f
movlw	121
movwf	((??_flashError+0)+0+1),f
	movlw	220
movwf	((??_flashError+0)+0),f
u407:
	decfsz	((??_flashError+0)+0),f
	goto	u407
	decfsz	((??_flashError+0)+0+1),f
	goto	u407
	decfsz	((??_flashError+0)+0+2),f
	goto	u407
opt asmopt_on

	line	185
	
l1578:	
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	incf	(flashError@i),f
	
l1580:	
	movf	(flashError@numberOfFlashes),w
	subwf	(flashError@i),w
	skipc
	goto	u331
	goto	u330
u331:
	goto	l440
u330:
	line	190
	
l1582:	
;vb.c: 188: }
;vb.c: 190: _delay((unsigned long)((1000)*(19668000/4000.0)));
	opt asmopt_off
movlw  25
movwf	((??_flashError+0)+0+2),f
movlw	242
movwf	((??_flashError+0)+0+1),f
	movlw	187
movwf	((??_flashError+0)+0),f
u417:
	decfsz	((??_flashError+0)+0),f
	goto	u417
	decfsz	((??_flashError+0)+0+1),f
	goto	u417
	decfsz	((??_flashError+0)+0+2),f
	goto	u417
	clrwdt
opt asmopt_on

	line	191
	
l442:	
	return
	opt stack 0
GLOBAL	__end_of_flashError
	__end_of_flashError:
;; =============== function _flashError ends ============

	signat	_flashError,4216
	global	_executeStartupTest
psect	text297,local,class=CODE,delta=2
global __ptext297
__ptext297:

;; *************** function _executeStartupTest *****************
;; Defined at:
;;		line 167 in file "C:\Users\bart\Desktop\BK Reader\vb.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;  i               1    3[BANK0 ] unsigned char 
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, status,2, status,0
;; Tracked objects:
;;		On entry : 17F/0
;;		On exit  : 60/0
;;		Unchanged: 0/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       1       0       0
;;      Temps:          0       3       0       0
;;      Totals:         0       4       0       0
;;Total ram usage:        4 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    3
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_main
;; This function uses a non-reentrant model
;;
psect	text297
	file	"C:\Users\bart\Desktop\BK Reader\vb.c"
	line	167
	global	__size_of_executeStartupTest
	__size_of_executeStartupTest	equ	__end_of_executeStartupTest-_executeStartupTest
	
_executeStartupTest:	
	opt	stack 4
; Regs used in _executeStartupTest: [wreg+status,2+status,0]
	line	169
	
l1548:	
;vb.c: 169: for (char i=0;i<4;i++) {
	clrf	(executeStartupTest@i)
	line	170
	
l1554:	
;vb.c: 170: _delay((unsigned long)((100)*(19668000/4000.0)));
	opt asmopt_off
movlw  3
movwf	((??_executeStartupTest+0)+0+2),f
movlw	127
movwf	((??_executeStartupTest+0)+0+1),f
	movlw	143
movwf	((??_executeStartupTest+0)+0),f
u427:
	decfsz	((??_executeStartupTest+0)+0),f
	goto	u427
	decfsz	((??_executeStartupTest+0)+0+1),f
	goto	u427
	decfsz	((??_executeStartupTest+0)+0+2),f
	goto	u427
	clrwdt
opt asmopt_on

	line	171
	
l1556:	
;vb.c: 171: RB0=1;
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	bsf	(48/8),(48)&7
	line	172
	
l1558:	
;vb.c: 172: RB5=1;
	bsf	(53/8),(53)&7
	line	173
	
l1560:	
;vb.c: 173: RB6=1;
	bsf	(54/8),(54)&7
	line	174
;vb.c: 174: _delay((unsigned long)((100)*(19668000/4000.0)));
	opt asmopt_off
movlw  3
movwf	((??_executeStartupTest+0)+0+2),f
movlw	127
movwf	((??_executeStartupTest+0)+0+1),f
	movlw	143
movwf	((??_executeStartupTest+0)+0),f
u437:
	decfsz	((??_executeStartupTest+0)+0),f
	goto	u437
	decfsz	((??_executeStartupTest+0)+0+1),f
	goto	u437
	decfsz	((??_executeStartupTest+0)+0+2),f
	goto	u437
	clrwdt
opt asmopt_on

	line	175
	
l1562:	
;vb.c: 175: RB0=0;
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	bcf	(48/8),(48)&7
	line	176
	
l1564:	
;vb.c: 176: RB5=0;
	bcf	(53/8),(53)&7
	line	177
	
l1566:	
;vb.c: 177: RB6=0;
	bcf	(54/8),(54)&7
	line	169
	
l1568:	
	incf	(executeStartupTest@i),f
	
l1570:	
	movlw	(04h)
	subwf	(executeStartupTest@i),w
	skipc
	goto	u321
	goto	u320
u321:
	goto	l1554
u320:
	line	179
	
l436:	
	return
	opt stack 0
GLOBAL	__end_of_executeStartupTest
	__end_of_executeStartupTest:
;; =============== function _executeStartupTest ends ============

	signat	_executeStartupTest,88
	global	_initTransmissionPacket
psect	text298,local,class=CODE,delta=2
global __ptext298
__ptext298:

;; *************** function _initTransmissionPacket *****************
;; Defined at:
;;		line 218 in file "C:\Users\bart\Desktop\BK Reader\vb.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;  i               1    0[BANK0 ] unsigned char 
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, fsr0l, fsr0h, status,2, status,0
;; Tracked objects:
;;		On entry : 17F/0
;;		On exit  : 17F/0
;;		Unchanged: FFE80/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       1       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       1       0       0
;;Total ram usage:        1 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    3
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_main
;; This function uses a non-reentrant model
;;
psect	text298
	file	"C:\Users\bart\Desktop\BK Reader\vb.c"
	line	218
	global	__size_of_initTransmissionPacket
	__size_of_initTransmissionPacket	equ	__end_of_initTransmissionPacket-_initTransmissionPacket
	
_initTransmissionPacket:	
	opt	stack 4
; Regs used in _initTransmissionPacket: [wreg-fsr0h+status,2+status,0]
	line	219
	
l1534:	
;vb.c: 219: for (char i=0;i<26;i++)
	clrf	(initTransmissionPacket@i)
	line	220
	
l1540:	
;vb.c: 220: packetTransmit[i]=0;
	movf	(initTransmissionPacket@i),w
	addlw	_packetTransmit&0ffh
	movwf	fsr0
	clrf	indf
	line	219
	
l1542:	
	incf	(initTransmissionPacket@i),f
	
l1544:	
	movlw	(01Ah)
	subwf	(initTransmissionPacket@i),w
	skipc
	goto	u311
	goto	u310
u311:
	goto	l1540
u310:
	line	222
	
l1546:	
;vb.c: 222: packetTransmit[0]=0xAA;
	movlw	(0AAh)
	movwf	(_packetTransmit)
	line	223
;vb.c: 223: packetTransmit[2]=0x26;
	movlw	(026h)
	movwf	0+(_packetTransmit)+02h
	line	224
;vb.c: 224: packetTransmit[25]=0xD0;
	movlw	(0D0h)
	movwf	0+(_packetTransmit)+019h
	line	225
	
l455:	
	return
	opt stack 0
GLOBAL	__end_of_initTransmissionPacket
	__end_of_initTransmissionPacket:
;; =============== function _initTransmissionPacket ends ============

	signat	_initTransmissionPacket,88
	global	_initUART
psect	text299,local,class=CODE,delta=2
global __ptext299
__ptext299:

;; *************** function _initUART *****************
;; Defined at:
;;		line 142 in file "C:\Users\bart\Desktop\BK Reader\vb.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg
;; Tracked objects:
;;		On entry : 17F/0
;;		On exit  : 17F/0
;;		Unchanged: FFE80/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       0       0       0
;;Total ram usage:        0 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    3
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_main
;; This function uses a non-reentrant model
;;
psect	text299
	file	"C:\Users\bart\Desktop\BK Reader\vb.c"
	line	142
	global	__size_of_initUART
	__size_of_initUART	equ	__end_of_initUART-_initUART
	
_initUART:	
	opt	stack 4
; Regs used in _initUART: [wreg]
	line	144
	
l1308:	
;vb.c: 144: SPBRG = 127;
	movlw	(07Fh)
	bsf	status, 5	;RP0=1, select bank1
	movwf	(153)^080h	;volatile
	line	145
	
l1310:	
;vb.c: 145: BRGH = 1;
	bsf	(1218/8)^080h,(1218)&7
	line	148
	
l1312:	
;vb.c: 148: SYNC = 0;
	bcf	(1220/8)^080h,(1220)&7
	line	149
	
l1314:	
;vb.c: 149: SPEN = 1;
	bcf	status, 5	;RP0=0, select bank0
	bsf	(199/8),(199)&7
	line	150
	
l1316:	
;vb.c: 150: TRISB1 = 1;
	bsf	status, 5	;RP0=1, select bank1
	bsf	(1073/8)^080h,(1073)&7
	line	151
	
l1318:	
;vb.c: 151: TRISB2 = 1;
	bsf	(1074/8)^080h,(1074)&7
	line	154
	
l1320:	
;vb.c: 154: TX9 = 0;
	bcf	(1222/8)^080h,(1222)&7
	line	155
	
l1322:	
;vb.c: 155: RX9 = 0;
	bcf	status, 5	;RP0=0, select bank0
	bcf	(198/8),(198)&7
	line	158
	
l1324:	
;vb.c: 158: RCIE = 1;
	bsf	status, 5	;RP0=1, select bank1
	bsf	(1125/8)^080h,(1125)&7
	line	159
	
l1326:	
;vb.c: 159: CREN = 1;
	bcf	status, 5	;RP0=0, select bank0
	bsf	(196/8),(196)&7
	line	160
	
l1328:	
;vb.c: 160: PEIE = 1;
	bsf	(94/8),(94)&7
	line	161
	
l1330:	
;vb.c: 161: GIE = 1;
	bsf	(95/8),(95)&7
	line	162
	
l431:	
	return
	opt stack 0
GLOBAL	__end_of_initUART
	__end_of_initUART:
;; =============== function _initUART ends ============

	signat	_initUART,88
	global	_sendRequest
psect	text300,local,class=CODE,delta=2
global __ptext300
__ptext300:

;; *************** function _sendRequest *****************
;; Defined at:
;;		line 128 in file "C:\Users\bart\Desktop\BK Reader\vb.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;  i               1    0[BANK0 ] unsigned char 
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, fsr0l, fsr0h, status,2, status,0
;; Tracked objects:
;;		On entry : 60/0
;;		On exit  : 160/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       1       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       1       0       0
;;Total ram usage:        1 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    3
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_main
;; This function uses a non-reentrant model
;;
psect	text300
	file	"C:\Users\bart\Desktop\BK Reader\vb.c"
	line	128
	global	__size_of_sendRequest
	__size_of_sendRequest	equ	__end_of_sendRequest-_sendRequest
	
_sendRequest:	
	opt	stack 4
; Regs used in _sendRequest: [wreg-fsr0h+status,2+status,0]
	line	129
	
l1518:	
;vb.c: 129: TXEN=1;
	bsf	status, 5	;RP0=1, select bank1
	bsf	(1221/8)^080h,(1221)&7
	line	130
	
l1520:	
;vb.c: 130: for (char i=0;i<26;i++) {
	bcf	status, 5	;RP0=0, select bank0
	clrf	(sendRequest@i)
	line	131
	
l425:	
	btfss	(100/8),(100)&7
	goto	u291
	goto	u290
u291:
	goto	l425
u290:
	line	132
	
l1526:	
;vb.c: 132: TXREG=packetTransmit[i];
	movf	(sendRequest@i),w
	addlw	_packetTransmit&0ffh
	movwf	fsr0
	bcf	status, 7	;select IRP bank0
	movf	indf,w
	movwf	(25)	;volatile
	line	130
	
l1528:	
	incf	(sendRequest@i),f
	
l1530:	
	movlw	(01Ah)
	subwf	(sendRequest@i),w
	skipc
	goto	u301
	goto	u300
u301:
	goto	l425
u300:
	line	134
	
l1532:	
;vb.c: 133: }
;vb.c: 134: receiveCounter=0;
	clrf	(_receiveCounter)
	line	135
	
l428:	
	return
	opt stack 0
GLOBAL	__end_of_sendRequest
	__end_of_sendRequest:
;; =============== function _sendRequest ends ============

	signat	_sendRequest,88
	global	_isr
psect	text301,local,class=CODE,delta=2
global __ptext301
__ptext301:

;; *************** function _isr *****************
;; Defined at:
;;		line 98 in file "C:\Users\bart\Desktop\BK Reader\vb.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, fsr0l, fsr0h, status,2, status,0, pclath, cstack
;; Tracked objects:
;;		On entry : 0/0
;;		On exit  : 60/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          3       0       0       0
;;      Totals:         3       0       0       0
;;Total ram usage:        3 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    2
;; This function calls:
;;		_processResponse
;; This function is called by:
;;		Interrupt level 1
;; This function uses a non-reentrant model
;;
psect	text301
	file	"C:\Users\bart\Desktop\BK Reader\vb.c"
	line	98
	global	__size_of_isr
	__size_of_isr	equ	__end_of_isr-_isr
	
_isr:	
	opt	stack 3
; Regs used in _isr: [wreg-fsr0h+status,2+status,0+pclath+cstack]
psect	intentry,class=CODE,delta=2
global __pintentry
__pintentry:
global interrupt_function
interrupt_function:
	global saved_w
	saved_w	set	btemp+0
	movwf	saved_w
	swapf	status,w
	movwf	(??_isr+0)
	movf	fsr0,w
	movwf	(??_isr+1)
	movf	pclath,w
	movwf	(??_isr+2)
	ljmp	_isr
psect	text301
	line	99
	
i1l1274:	
;vb.c: 99: if (RCIF) {
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	btfss	(101/8),(101)&7
	goto	u8_21
	goto	u8_20
u8_21:
	goto	i1l420
u8_20:
	line	100
	
i1l1276:	
;vb.c: 100: if (FERR==1) {
	btfss	(194/8),(194)&7
	goto	u9_21
	goto	u9_20
u9_21:
	goto	i1l417
u9_20:
	line	102
	
i1l1278:	
;vb.c: 102: framingErrorOccured=1;
	bsf	(_framingErrorOccured/8),(_framingErrorOccured)&7
	line	103
;vb.c: 103: FERR=0;
	bcf	(194/8),(194)&7
	line	104
	
i1l417:	
	line	107
;vb.c: 104: }
;vb.c: 107: if (OERR==1) {
	btfss	(193/8),(193)&7
	goto	u10_21
	goto	u10_20
u10_21:
	goto	i1l1282
u10_20:
	line	108
	
i1l1280:	
;vb.c: 108: CREN=0;
	bcf	(196/8),(196)&7
	line	109
;vb.c: 109: CREN=1;
	bsf	(196/8),(196)&7
	line	113
	
i1l1282:	
;vb.c: 110: }
;vb.c: 113: packetReceived[receiveCounter]=RCREG;
	movf	(_receiveCounter),w
	addlw	_packetReceived&0ffh
	movwf	fsr0
	movf	(26),w	;volatile
	bcf	status, 7	;select IRP bank0
	movwf	indf
	line	114
	
i1l1284:	
;vb.c: 114: receiveCounter++;
	incf	(_receiveCounter),f
	line	117
	
i1l1286:	
;vb.c: 117: if (receiveCounter>=26) {
	movlw	(01Ah)
	subwf	(_receiveCounter),w
	skipc
	goto	u11_21
	goto	u11_20
u11_21:
	goto	i1l420
u11_20:
	line	118
	
i1l1288:	
;vb.c: 118: processResponse();
	fcall	_processResponse
	line	119
	
i1l1290:	
;vb.c: 119: receiveCounter=0;
	clrf	(_receiveCounter)
	line	122
	
i1l420:	
	movf	(??_isr+2),w
	movwf	pclath
	movf	(??_isr+1),w
	movwf	fsr0
	swapf	(??_isr+0)^0FFFFFF80h,w
	movwf	status
	swapf	saved_w,f
	swapf	saved_w,w
	retfie
	opt stack 0
GLOBAL	__end_of_isr
	__end_of_isr:
;; =============== function _isr ends ============

	signat	_isr,88
	global	_processResponse
psect	text302,local,class=CODE,delta=2
global __ptext302
__ptext302:

;; *************** function _processResponse *****************
;; Defined at:
;;		line 63 in file "C:\Users\bart\Desktop\BK Reader\vb.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, fsr0l, fsr0h, status,2, status,0, pclath, cstack
;; Tracked objects:
;;		On entry : 160/0
;;		On exit  : 160/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       0       0       0
;;Total ram usage:        0 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    1
;; This function calls:
;;		_checkSum
;;		_is_bit_set
;; This function is called by:
;;		_isr
;; This function uses a non-reentrant model
;;
psect	text302
	file	"C:\Users\bart\Desktop\BK Reader\vb.c"
	line	63
	global	__size_of_processResponse
	__size_of_processResponse	equ	__end_of_processResponse-_processResponse
	
_processResponse:	
	opt	stack 3
; Regs used in _processResponse: [wreg-fsr0h+status,2+status,0+pclath+cstack]
	line	65
	
i1l1260:	
;vb.c: 65: frameReceived=1;
	bsf	(_frameReceived/8),(_frameReceived)&7
	line	67
	
i1l1262:	
;vb.c: 67: if (receiveCounter==26) {
	movf	(_receiveCounter),w
	xorlw	01Ah
	skipz
	goto	u4_21
	goto	u4_20
u4_21:
	goto	i1l405
u4_20:
	line	68
	
i1l1264:	
;vb.c: 68: if (checkSum()==packetReceived[26-1]) {
	fcall	_checkSum
	xorwf	0+(_packetReceived)+019h,w
	skipz
	goto	u5_21
	goto	u5_20
u5_21:
	goto	i1l406
u5_20:
	line	70
	
i1l1266:	
;vb.c: 70: RB0=!RB0;
	movlw	1<<((48)&7)
	xorwf	((48)/8),f
	line	71
	
i1l1268:	
;vb.c: 71: RB5=0;
	bcf	(53/8),(53)&7
	line	73
;vb.c: 73: if (packetReceived[2]==0x26) {
	movf	0+(_packetReceived)+02h,w
	xorlw	026h
	skipz
	goto	u6_21
	goto	u6_20
u6_21:
	goto	i1l407
u6_20:
	line	75
	
i1l1270:	
;vb.c: 75: if(is_bit_set(packetReceived[9],3)==1)
	movlw	(03h)
	movwf	(?_is_bit_set)
	movf	0+(_packetReceived)+09h,w
	fcall	_is_bit_set
	btfss	status,0
	goto	u7_21
	goto	u7_20
u7_21:
	goto	i1l408
u7_20:
	line	76
	
i1l1272:	
;vb.c: 76: RB6=1;
	bsf	(54/8),(54)&7
	goto	i1l413
	line	77
	
i1l408:	
	line	78
;vb.c: 77: else
;vb.c: 78: RB6=0;
	bcf	(54/8),(54)&7
	goto	i1l413
	line	80
	
i1l407:	
	line	81
;vb.c: 80: else {
;vb.c: 81: invalidResponseOccured=1;
	bsf	(_invalidResponseOccured/8),(_invalidResponseOccured)&7
	goto	i1l413
	line	84
	
i1l406:	
	line	86
;vb.c: 84: else {
;vb.c: 86: invalidCheckSumOccured=1;
	bsf	(_invalidCheckSumOccured/8),(_invalidCheckSumOccured)&7
	goto	i1l413
	line	89
	
i1l405:	
	line	91
;vb.c: 89: else {
;vb.c: 91: invalidFrameLengthOccured=1;
	bsf	(_invalidFrameLengthOccured/8),(_invalidFrameLengthOccured)&7
	line	93
	
i1l413:	
	return
	opt stack 0
GLOBAL	__end_of_processResponse
	__end_of_processResponse:
;; =============== function _processResponse ends ============

	signat	_processResponse,88
	global	_is_bit_set
psect	text303,local,class=CODE,delta=2
global __ptext303
__ptext303:

;; *************** function _is_bit_set *****************
;; Defined at:
;;		line 52 in file "C:\Users\bart\Desktop\BK Reader\vb.c"
;; Parameters:    Size  Location     Type
;;  value           1    wreg     unsigned char 
;;  bitindex        1    0[COMMON] unsigned char 
;; Auto vars:     Size  Location     Type
;;  value           1    2[COMMON] unsigned char 
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, status,2, status,0
;; Tracked objects:
;;		On entry : 160/0
;;		On exit  : 160/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         1       0       0       0
;;      Locals:         1       0       0       0
;;      Temps:          1       0       0       0
;;      Totals:         3       0       0       0
;;Total ram usage:        3 bytes
;; Hardware stack levels used:    1
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_processResponse
;; This function uses a non-reentrant model
;;
psect	text303
	file	"C:\Users\bart\Desktop\BK Reader\vb.c"
	line	52
	global	__size_of_is_bit_set
	__size_of_is_bit_set	equ	__end_of_is_bit_set-_is_bit_set
	
_is_bit_set:	
	opt	stack 3
; Regs used in _is_bit_set: [wreg+status,2+status,0]
;is_bit_set@value stored from wreg
	movwf	(is_bit_set@value)
	line	53
	
i1l1248:	
;vb.c: 53: if ((value & (1 << bitindex)) != 0)
	movlw	(01h)
	movwf	(??_is_bit_set+0)+0
	incf	(is_bit_set@bitindex),w
	goto	u2_24
u2_25:
	clrc
	rlf	(??_is_bit_set+0)+0,f
u2_24:
	addlw	-1
	skipz
	goto	u2_25
	movf	0+(??_is_bit_set+0)+0,w
	andwf	(is_bit_set@value),w
	btfsc	status,2
	goto	u3_21
	goto	u3_20
u3_21:
	goto	i1l1256
u3_20:
	line	54
	
i1l1250:	
;vb.c: 54: return 1;
	setc
	
	goto	i1l401
	line	56
	
i1l1256:	
;vb.c: 55: else
;vb.c: 56: return 0;
	clrc
	
	line	57
	
i1l401:	
	return
	opt stack 0
GLOBAL	__end_of_is_bit_set
	__end_of_is_bit_set:
;; =============== function _is_bit_set ends ============

	signat	_is_bit_set,8312
	global	_checkSum
psect	text304,local,class=CODE,delta=2
global __ptext304
__ptext304:

;; *************** function _checkSum *****************
;; Defined at:
;;		line 39 in file "C:\Users\bart\Desktop\BK Reader\vb.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;  i               1    2[COMMON] unsigned char 
;;  checkSum        2    0[COMMON] int 
;; Return value:  Size  Location     Type
;;                  1    wreg      unsigned char 
;; Registers used:
;;		wreg, fsr0l, fsr0h, status,2, status,0
;; Tracked objects:
;;		On entry : 160/0
;;		On exit  : 160/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         3       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         3       0       0       0
;;Total ram usage:        3 bytes
;; Hardware stack levels used:    1
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_processResponse
;; This function uses a non-reentrant model
;;
psect	text304
	file	"C:\Users\bart\Desktop\BK Reader\vb.c"
	line	39
	global	__size_of_checkSum
	__size_of_checkSum	equ	__end_of_checkSum-_checkSum
	
_checkSum:	
	opt	stack 3
; Regs used in _checkSum: [wreg-fsr0h+status,2+status,0]
	line	40
	
i1l1232:	
;vb.c: 40: int checkSum=0;
	clrf	(checkSum@checkSum)
	clrf	(checkSum@checkSum+1)
	line	41
;vb.c: 41: for (char i=0;i<26-2;i++) {
	clrf	(checkSum@i)
	line	42
	
i1l1238:	
;vb.c: 42: checkSum+=packetReceived[i];
	movf	(checkSum@i),w
	addlw	_packetReceived&0ffh
	movwf	fsr0
	movf	indf,w
	addwf	(checkSum@checkSum),f
	skipnc
	incf	(checkSum@checkSum+1),f
	line	41
	
i1l1240:	
	incf	(checkSum@i),f
	
i1l1242:	
	movlw	(018h)
	subwf	(checkSum@i),w
	skipc
	goto	u1_21
	goto	u1_20
u1_21:
	goto	i1l1238
u1_20:
	line	44
	
i1l1244:	
;vb.c: 43: }
;vb.c: 44: return checkSum % 256;
	movf	(checkSum@checkSum),w
	line	45
	
i1l397:	
	return
	opt stack 0
GLOBAL	__end_of_checkSum
	__end_of_checkSum:
;; =============== function _checkSum ends ============

	signat	_checkSum,89
psect	text305,local,class=CODE,delta=2
global __ptext305
__ptext305:
	global	btemp
	btemp set 07Eh

	DABS	1,126,2	;btemp
	global	wtemp0
	wtemp0 set btemp
	end
